Uploaded image for project: 'Project Quay'
  1. Project Quay
  2. PROJQUAY-1918

Clair v4.1.0.alpha2 indexer is not working with Quay 3.5.1

    XMLWordPrintable

Details

    • In Progress

    Description

      Throws the following error on stdout,

       
      securityworker stdout | 2021-04-23 07:06:19,447 [110] [INFO] [apscheduler.executors.default] Running job "SecurityWorker._index_in_scanner (trigger: interval[0:00:30], next run at: 2021-04-23 07:06:49 UTC)" (scheduled at 2021-04-23 07:06:19.447103+00:00)
      securityworker stdout | 2021-04-23 07:06:19,468 [110] [INFO] [util.migrate.allocator] Found 1 candidates, processing block
      securityworker stdout | 2021-04-23 07:06:19,858 [110] [ERROR] [util.secscan.v4.api] Security scanner response failed OpenAPI validation
      securityworker stdout | Traceback (most recent call last):
      securityworker stdout | File "/quay-registry/util/secscan/v4/api.py", line 336, in is_valid_response
      securityworker stdout | validate(resp.json(), schema, resolver=resolver)
      securityworker stdout | File "/usr/local/lib/python3.8/site-packages/jsonschema/validators.py", line 934, in validate
      securityworker stdout | raise error
      securityworker stdout | jsonschema.exceptions.ValidationError: None is not of type 'string'
      securityworker stdout | Failed validating 'type' in schema['properties']['distributions']['additionalProperties']['properties']['cpe']:
      securityworker stdout | {'type': 'string'}
      securityworker stdout | On instance['distributions']['1']['cpe']:
      securityworker stdout | None
      securityworker stdout | 2021-04-23 07:06:19,858 [110] [ERROR] [data.secscan_model.secscan_v4_model] Failed to perform indexing, security scanner API error
      securityworker stdout | Traceback (most recent call last):
      securityworker stdout | File "/quay-registry/util/secscan/v4/api.py", line 200, in index
      securityworker stdout | resp = self._perform(actions["Index"](body))
      securityworker stdout | File "/quay-registry/util/secscan/v4/api.py", line 295, in _perform
      securityworker stdout | raise IncompatibleAPIResponse("Received incompatible response from security scanner")
      securityworker stdout | util.secscan.v4.api.IncompatibleAPIResponse: Received incompatible response from security scanner
      securityworker stdout | During handling of the above exception, another exception occurred:
      securityworker stdout | Traceback (most recent call last):
      securityworker stdout | File "/quay-registry/data/secscan_model/secscan_v4_model.py", line 286, in perform_indexing
      securityworker stdout | (report, state) = self._secscan_api.index(manifest, layers)
      securityworker stdout | File "/quay-registry/util/secscan/v4/api.py", line 204, in index
      securityworker stdout | raise APIRequestFailure(ex)
      securityworker stdout | util.secscan.v4.api.APIRequestFailure: Received incompatible response from security scanner

      Attachments

        Issue Links

          Activity

            People

              hdonnay Henry Donnay
              arajkumar Arunprasad Rajkumar
              Dongbo Yan Dongbo Yan
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: